#pragma once

#include "CoreMinimal.h"
#include "UObject/SoftObjectPtr.h"
#include "EPlayerTeam.h"
#include "LoadingHintViewData.generated.h"

class UTexture2D;

USTRUCT(BlueprintType)
struct FLoadingHintViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UTexture2D> Icon;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText Title;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText Description;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool ShouldFadeInOutHint;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float FadeOutDelay;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EPlayerTeam PlayerTeam;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 RelevantCharacterID;

public:
	DBDUIVIEWINTERFACES_API FLoadingHintViewData();
};

FORCEINLINE uint32 GetTypeHash(const FLoadingHintViewData) { return 0; }
